Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsStrutsViewActionCommand

    java.lang.Object
      com.ibm.wps.portlets.struts.WpsStrutsViewCommand
          com.ibm.wps.portlets.struts.WpsStrutsViewActionCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

    public class WpsStrutsViewActionCommand

extends WpsStrutsViewCommand

The `WpsStrutsViewActionCommand` class is a command pattern class used to execute a render action. When the request processor detects a Struts action that implements the IStrutsPrepareRender action, the ViewCommandFactory will create this command object. When this command object is executed, the Struts action will be executed.

Since:
  5.1
See Also:
  Serialized Form

Field Summary
`protected static Log` | `log` The commons-logging instance for this class.
`protected static MessageResources` | `messages` The message resources for the Struts Portlet Framework.
`protected static java.lang.String` | `URI` Name of the request attribute for the URI string.

Fields inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`LAST_MODIFIED, PREFIX`

Constructor Summary
`WpsStrutsViewActionCommand()` Constructs the WspStrutsViewActionCommand object.
`WpsStrutsViewActionCommand(java.lang.String uri, PortletRequest request)` Constructs the StrutsViewActionCommand object.

Method Summary
`static void` | `addAttributeNameToSave(java.lang.String attributeName)` Adds the name of an attribute from the object request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.
`static void` | `addAttributeTypeToSave(java.lang.Class attributeType)` Adds the class type of an attribute from the request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.
`static void` | `addParameterNameToSave(java.lang.String parameterName)` Adds the name of an parameter from the object request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.
`void` | `execute(PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Executes the given command given the request and response objects.
`java.lang.String` | `getUri(PortletRequest request)` Returns the URI.
`static void` | `removeAttributeNameToSave(java.lang.String attributeName)` Removes the name of an attribute from the list of attribute names to save.
`static void` | `removeAttributeTypeToSave(java.lang.Class attributeType)` Removes the class type of the request attribute from the list of attributes to save.
`static void` | `removeParameterNameToSave(java.lang.String parameterName)` Removes the name of a parameter from the list of parameter names to save.
`void` | `saveAttributes(HttpServletRequest request, ViewCommandExecutionContext executionContext)` Saves the attributes specific to JSP rendering.
`void` | `setUri(PortletRequest request, java.lang.String uri)` Sets the URI for this command.

Methods inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`addAttribute, execute, getLastModified, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, repopulateRequest, saveAsAttribute, saveAsParameter, saveAttribute, saveAttributes, saveCommand, saveCommand, saveParameter, saveParameters, setLastModified, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  The commons-logging instance for this class.

### URI

    protected static final java.lang.String URI

  Name of the request attribute for the URI string.

  See Also:
    Constant Field Values

### messages

    protected static MessageResources messages

  The message resources for the Struts Portlet Framework.

Constructor Detail

### WpsStrutsViewActionCommand

    public WpsStrutsViewActionCommand()

  Constructs the WspStrutsViewActionCommand object.

### WpsStrutsViewActionCommand

    public WpsStrutsViewActionCommand(java.lang.String uri,
                                      PortletRequest request)

  Constructs the StrutsViewActionCommand object. The URI is the path for a Struts action and matches the configured Struts servlet mapping.

  Parameters:
    `uri` - the uri path to the JSP
    `request` - The request object to save context information from

Method Detail

### getUri

    public java.lang.String getUri(PortletRequest request)

  Returns the URI. The URI is the path for a Struts action and matches the configured Struts servlet mapping.

  Parameters:
    `request` - the portlet request object
  Returns:
    String the uri

### setUri

    public void setUri(PortletRequest request,
                       java.lang.String uri)

  Sets the URI for this command. The URI should be a Struts action, and matches the configured Struts servlet mapping.

  Parameters:
    `request` - the portlet request object
    `uri` - the URI for the JSP.

### execute

    public void execute(PortletRequest request,
                        PortletResponse response,
                        ViewCommandExecutionContext executionContext)
                 throws PortletException

  Executes the given command given the request and response objects.

  Specified by:
    `execute` in interface `IViewCommand`
  Overrides:
    `execute` in class `WpsStrutsViewCommand`
  Parameters:
    `request` - The request object
    `response` - The response object
    `executionContext` - the execution context object
  Throws:
    `PortletException` - if the request cannot be fulfilled

### saveAttributes

    public void saveAttributes(HttpServletRequest request,
                               ViewCommandExecutionContext executionContext)

  Saves the attributes specific to JSP rendering.

  Overrides:
    `saveAttributes` in class `WpsStrutsViewCommand`
  Parameters:
    `request` - the request object
    `context` - the context object

### addAttributeNameToSave

    public static void addAttributeNameToSave(java.lang.String attributeName)

  Adds the name of an attribute from the object request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.

  Parameters:
    `attributeName` - the name of the attribute

### removeAttributeNameToSave

    public static void removeAttributeNameToSave(java.lang.String attributeName)

  Removes the name of an attribute from the list of attribute names to save.

  Parameters:
    `attributeName` - the name of the attribute

### addAttributeTypeToSave

    public static void addAttributeTypeToSave(java.lang.Class attributeType)

  Adds the class type of an attribute from the request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.

  Parameters:
    `attributeType` - the attribute type

### removeAttributeTypeToSave

    public static void removeAttributeTypeToSave(java.lang.Class attributeType)

  Removes the class type of the request attribute from the list of attributes to save.

  Parameters:
    `attributeType` - the attribute type

### addParameterNameToSave

    public static void addParameterNameToSave(java.lang.String parameterName)

  Adds the name of an parameter from the object request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.

  Parameters:
    `parameterName` - the name of the parameter

### removeParameterNameToSave

    public static void removeParameterNameToSave(java.lang.String parameterName)

  Removes the name of a parameter from the list of parameter names to save.

  Parameters:
    `parameterName` - the name of the parameter

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD